# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).
## 1.5.0 -
### Added
- Add portaMec route

## 1.4.2 - 2018-07-23
### Added
- Added new url's in daily charge amount indicator
### Changed
- Fix variable name and url in daily charge amount indicator

## 1.4.1 - 2018-07-03
### Changed
- Fix duplicate in transport indicator

## 1.4.0 - 2018-06-27
### Added
- Add school building filter/dimension to school count route
- Add transport indicator
- Add cub route
### Changed
- Fixed CSV output when result objects have nested arrays and/or objects
- Limit year range to 2007-2015 in out of school indicator
- Fix auxiliar indicator

## 1.3.3 - 2018-06-27
### Changed
- Removed restriction of year > 2014 of school count route

## 1.3.2 - 2018-06-20
### Changed
- Fixed math error in classroom count at total classroom needed expression

## 1.3.1 - 2018-06-19
### Changed
- Fixed bug with Federal District and missing cities in classroom count

## 1.3.0 - 2018-06-18
### Added
- Daily charge amount route

## 1.2.3 - 2018-06-14
### Changed
- Fixed roundig error in classroom count route
- Route performance improved

## 1.2.2 - 2018-05-22
### Changed
- Fixed bug with missing education levels in classroom count

## 1.2.1 - 2018-05-22
### Changed
- Add state id in infrastructure

## 1.2.0 - 2018-05-21
### Added
- Classroom count route

## 1.1.1 - 2018-05-10
### Changed
- Fix bug in gloss enrollment ratio route
- Fix bug in liquid enrollment ratio route

## 1.1.0 - 2018-05-02
### Added
- Out of school population indicator
- Liquid enrollment ratio indicator
- Gloss enrollment ratio indicator

## 1.0.3 - 2018-04-27
### Changed
- Fixed bug undefined field in some indicators

## 1.0.2 - 2018-04-18
### Changed
- Fixed bug in pibpercapita route

## 1.0.1 - 2018-03-15
### Changed
- Fix missing school id in teacher and class routes

## 1.0.0 - 2018-03-14
### Added
- `ReqQueryFields` middleware added to substitute parseParams and do SQL building automagically with the URL params
- Upgrade to database v2
- Added user model
- Passport.js added for user authentication
- Added routes to create and authenticate a user
- Added simulation model
- Added routes to save and retrieve simulations in `/simulation`
- Add middleware to convert ids to names

### Changed
- Query middleware throws a 404 when the result is empty
- Change filters and dimensions names! No more `_id`. **Breaks compability**
- config.json.example now has values for development, test and production environments
- Min Node version is 6.8.1
- Cache is now defined per route
- Errors from MonetDB are now returned by the query_exec and query middlewares
- Tests are now in different files

### Removed
- Parse Params middleware removed

## 0.1.0 - 2016-10-10
### Added
**Database**
- MonetDB connection middleware
- MongoDB connection middleware
- query_exec custom middleware (promise that executes an SQL query with optional parameters)
- This version depends on the version 0.1.0 of [MonetDB schema](https://gitlab.c3sl.ufpr.br/simcaq/monetdb)

**Enrollments**
- Enrollments route with all sub dependencies

**Middlewares**
- parseParams middleware to parse HTTP GET params
- query middleware that serves as an interface between squel generated sql and the query execution
- response middleware that gives a standard response (json, csv or xml)
